Bug 178634 - Kernel panic when software RAID 1 is under load
Kernel panic when software RAID 1 is under load
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 15:51 EST by Ra P.
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ra P. 2006-01-22 15:51:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/417.9 (KHTML, like Gecko) Safari/417.8

Description of problem:
I have an Athlon 64 Fedora Core 4 system that has been, save this issue, totally stable.  Yesterday I 
installed two IDE drives on their device chain.  These drives were recognized by both the BIOS and 
Linux.  I formatted them for RAID, created a RAID 1 volume with mdadm, and created an ext3 partition 
on the resulting md0 device.  All this worked without error.

I then began to copy a large number of files to the RAID volume.  Several minutes into this process, the 
kernel panicked with a synchronization error.  I then rebooted several times with older kernels and 
various disk-related services disabled, ultimately discovering from my testing that the problem was in 
the Fedora-complied kernel itself.

I built my own kernel from vanilla 2.6.15 source and the system is once again stable, even under heavy 
load to the RAID volume for long periods of time.

This absolutely needs to be resolved before Fedora Core 5 ships.  Reliable software RAID is a must.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4-x86_64 (and lower)

How reproducible:
Always

Steps to Reproduce:
1. Create a RAID 1 array of IDE disks with mdadm on a FC4 system with a stock Fedora kernel.
2. Put the new volume under load, for example by copying a large number of flies to it.
3. Wait for the kernel to panic.
  

Actual Results:  A kernel panic.

Expected Results:  No kernel panic :)

Additional info:

Not using the RAID features of my BIOS.
Comment 1 Dave Jones 2006-01-24 14:13:51 EST
'kernel panicked with a synchronization error'
This doesn't give us any information to work with unfortunatly.
Unless you can reproduce this with the latest kernel, there's nothing here to
work with.

Note, that there's a 2.6.15 kernel in updates-testing for FC4 right now.
Comment 2 Dave Jones 2006-02-03 01:04:55 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-05 08:59:22 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.